@font-face{
    font-family: "Sweet Hipster";
    src:url(assets/54893c71cd8a15f25907.ttf);
}
@font-face{
    font-family: "Nunito Light";
    src:url(assets/e6e51b8633d0a23cb932.woff);
}
html,body,#root{
	height:100%;
	margin:0;
	padding:0;
}
body {
	display:flex;
	flex-direction:column;
}
#bg-block{
	width:100%;
	display:flex;
	justify-content:flex-start;
	align-items:center;
	flex-direction:column;
	background-position:40%;
}
#bg-block.people{
	background-image:url(assets/c49bab71064921cf09bf.jpg);
	background-size:cover;
	height:100%;
}
#bg-block.generic{
	background:rgb(200, 157, 166);
}
#header-block{
	width:100%;
	display:flex;
	align-items:center;
	justify-content:center;
	flex-direction:column;
}
#main-block{
	width:100%;
	height:100%;
	display:flex;
	align-items:center;
	justify-content:center;
	flex-direction:column;
}
#footer-block{
	width:100%;
	display:flex;
	align-items:center;
	justify-content:center;
	flex-direction:column;
}
.title{
	color:black;
	text-shadow:0px 0px 50px white, 0px 0px 50px white;
	font-size:6vw;
	font-family:"Sweet Hipster";
	width:100%;
	text-align:center;
	margin-top:3%;
	margin-bottom:1%;
}
.accent{
	color:rgb(209,148,42);
}
.icon{
	width:64px;
	height:64px;
}
.nav-bar{
	display:flex;
	flex-direction:row;
	justify-content:center;
	align-items:center;
	margin-top:1%;
	margin-bottom:3%;
}
.nav-bar a{
	color:black !important;
	text-shadow:0px 0px 50px white, 0px 0px 50px white;
	font-size:4vw;
	font-family:"Sweet Hipster";
	width:100%;
	text-align:center;
	cursor:pointer;
	margin-left:3%;
	margin-right:3%;
	text-decoration:none;
}
.nav-bar a.white{
	color:white !important;
	text-shadow:0px 0px 50px black, 0px 0px 50px black;
	margin-left:8%;
	margin-right:8%;
}
#homepage-content{
	/*-height:500px;-*/
	width:100%;
}
.white-rectangle-bg{
	display:flex;
	flex-direction:column;
	justify-content:flex-start;
	align-items:center;
	overflow:hidden;
	background-color:white;
	height:100%;
	width:80%;
	margin-top:3%;
	margin-bottom:3%;
}
.small-text{
	display:flex;
	flex:1;
	color:black;
	font-family:"Nunito Light";
	width:80%;
	font-weight:600;
	margin:5%;
	font-size:2vh;
}
@media screen and (max-width:1000px){
	.title{
		font-size:11vw;
	}
	.nav-bar > a{
		font-size:9vw;
	}
}
#about-me{
	height:100%;
	width:100%;
	display:flex;
	flex-direction:column;
	justify-content:flex-start;
	align-items:center;
	overflow:hidden;
}
.about-me-pic{
	margin-left:10%;
	margin-right:10%;
	margin-top:2%;
	margin-bottom:2%;
}
@media only screen and (max-width:1000px){
	.about-me-pic{
		margin:4%;
	}
}
#code-bar, #code-bar form{
	width:100%;
	height:5vh;
	background-color:rgb(50,50,50);
	display:flex;
	flex-direction:row;
	justify-content:center;
	align-items:center;
}
#codebar-label{
	color:rgb(150,150,150);
	font-size:2.5vh;
	font-family:Arial;
	flex:1;
	text-align:right;
	margin-right:5%;
}
#codebar-input{
	background-color:rgb(150,150,150);
	flex:1;
	height:3vh;
	font-size:1.9vh;
	font-family:Arial;
	resize:none;
	margin-right:5%;
	outline:none;
	border:none;
	cursor:pointer;
	box-shadow: 3px 3px 6px rgb(50,50,50) inset;
	padding-left: 5px;
}
#pricing{
	height:100%;
	width:100%;
	display:flex;
	flex-direction:column;
	justify-content:flex-start;
	align-items:center;
	overflow:hidden;
}
.big-text{
	margin-top:3%;
	font-size:6vh;
	font-family:"Sweet Hipster";
	color:black;
}
.demo-pic{
	max-width:60%;
	margin-top:1%;
	margin-bottom:5%;
}
.gallery{
	display:flex;
	justify-content:center;
	align-items:center;
	flex-direction:row;
	flex-wrap:wrap;
	height:100%;
	width:100%;
}
.gallery-container{
	display:flex;
	justify-content:center;
	align-items:center;
	flex-direction:column;
}
.gallery-dl-link{
    color: white;
    font-family: Nunito Light;
    font-size: 4vh;
	margin: 4vh;
	cursor:pointer;
	text-shadow:0px 0px 20px black, 0px 0px 20px black;
}
.submit-btn{
    margin: 10px;
    font-family: 'Nunito Light';
    font-weight: 900;
    border-radius: 4vh;
    font-size: 4vh;
    background-color: rgb(200,200,200);
}
.photo{
	padding:1%;
	background-color:rgba(0,0,0,1);
	width:20vh;
	height:20vh;
	margin:1%;
	display: flex;
    align-items: center;
	justify-content: center;
}
.spinner{
	width:100%;
	height:100%;
	background-image:url(assets/9761a3a86d311aaa0a36.svg);
	background-repeat:no-repeat;
	background-position:center;
	position:relative;
	display:flex;
	align-items:center;
	justify-content:center;
}
.fullscreen-image-bg{
	position:absolute;
	top:0;
	width:100%;
}
.fullscreen-image{
	width:100%;
}
.inner-image{
	display:block;
	max-width:100%;
	max-height:100%;
	cursor:pointer;
}
.photo-caption{
	height: 10vh;
    width: 50vh;
    color: rgb(200,200,200);
    font-family: Arial;
    font-size: 2vh;
    margin-top: 2vh;
}
.photo-dl-link-container{
	position:absolute;
	height:128px;
	width:100%;
	bottom:5%;
	display:flex;
	flex-direction:row;
	justify-content:space-evenly;
	align-items:center;
}
.photo-dl-link{
    color: white;
    font-family: Nunito Light;
    font-size: 4vh;
	cursor:pointer;
	font-weight:900;
	text-shadow:0px 0px 20px black, 0px 0px 20px black;
}
.cycle-button{
	position:absolute;
	top:0%;
	height:100%;
	width:10%;
	background-color:rgba(0,0,0,.4);
	color:rgba(255,255,255,.8);
	font-size:10vw;
	font-weight:900;
	text-align:center;
	cursor:pointer;
	display: flex;
	align-items: center;
	justify-content: center;
}
.cycle-button.right{
	position:absolute;
	right:0;
}
.cycle-button.left{
	position:absolute;
	left:0;
}
.fav-button{
	position:absolute;
	background-size:cover;
	height:32px;
	width:32px;
	right:10%;
	bottom:0;
	cursor:pointer;
}
.unfavd{
	background-image:url(assets/34ab543e305570beab16.png);
}
.favd{
	background-image:url(assets/ea28298d16b1214d883d.png);
}
.fav-info-container{
	position:absolute;
	height:128px;
	width:100%;
	bottom:5%;
	display:flex;
	flex-direction:row;
	justify-content:space-evenly;
	align-items:center;
	font-size:70px;
	font-family:Nunito Light;
	color:white;
	text-shadow:0px 0px 20px black, 0px 0px 20px black;
}
.fav-info-container .fav-button{
	position:unset;
	right:unset;
	width:128px;
	height:128px;
}
